Page MenuHomePhabricator

[Regression] action=edit&section=new on a non-existent page fails with error message of "editconflict"
Closed, ResolvedPublic

Description

Trying to use action=edit&section=new via the API on a page that doesn't exist fails with an error message of "editconflict".

I'm pretty sure it was be97167ab61e7d59d86f6a9dca53b7016d615735 that introduced it.

I'll have a fix ready in a few minutes.


Version: 1.22.0
Severity: major

Details

Reference
bz52830

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:13 AM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz52830.
Legoktm created this task.Aug 14 2013, 3:32 AM

Change 79031 had a related patch set uploaded by Legoktm:
If using &section=new, it is possible the page won't exist.

https://gerrit.wikimedia.org/r/79031

hoo added a comment.Aug 17 2013, 8:04 PM

Merged the fix

Change 79031 merged by jenkins-bot:
action=edit API with section=new would fail if page didn't exist

https://gerrit.wikimedia.org/r/79031

Change 79950 had a related patch set uploaded by Reedy:
action=edit API with section=new would fail if page didn't exist

https://gerrit.wikimedia.org/r/79950

(In reply to comment #4)

https://gerrit.wikimedia.org/r/79950

Looks like this commit got cherry-picked to 1.22wmf13, but the bot set patch_to_review. Hrm.

hoo added a comment.Aug 20 2013, 6:15 AM

Closing again, looks like a bug with the notification bot.

Change 79950 merged by jenkins-bot:
action=edit API with section=new would fail if page didn't exist

https://gerrit.wikimedia.org/r/79950